Forum Thread: NodeJS Errors

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
PSI

This thread has been marked as resolved.
WarningU2 NodeJS Errors
Member 18th Nov, 2016 16:22
Ranking: 23
Posts: 36
User Since: 26th Nov, 2008
System Score: N/A
Location: CA
This program is continually getting flagged as not secure although I have the current version 7. I scan again and it is marked 100% but then a day or two later it is identified again, reporting that I have an older version but I don't. I've included a link to some pictures. PSI is not identifying nodejs as being version 7. It also disappears from the list of installed programs after scanning again. I've ignored this program but I thought you should know there is an issue.

C:\Program Files\nodejs

https://drive.google.com/drive/folders/0B6MEUN4lqX...

Post "RE: NodeJS Errors" has been selected as an answer.
Leendert Kip NodeJS Errors
Contributor 18th Nov, 2016 19:01
Score: 137
Posts: 611
User Since: 22nd Jan 2009
System Score: N/A
Location: NL
Strange! I have node.js v. 7.0 installed, not visible in PSI programs list and not marked as good or bad by PSI. Just ran a manual full scan, result the same. I assume that node.js 7.0 is not (yet) in the PSI database.

--
PC: PWA Computers
Intel Core I3 2100 3.1Ghz
Kingston DDR3 ValueRam 4GB 1333
Kingston SSD SV300S 240GB
Windows 7 Home Premium 64bits SP1
Secunia PSI 3.0.0.11005
Internet Explorer 11
Mozilla Firefox 59.0.2NL
Google Chrome 66.0.3359.117

Laptop: MSI GT780DX
Intel Core I5-2450
DDR3 RAM 6GB
Windows 7 Home Premium 64bits SP1
Secunia PSI 3.0.0.11005
Internet Explorer 11
Mozilla Firefox 59.0.2NL
Was this reply relevant?
+1
-0
Maurice Joyce RE: NodeJS Errors
Handling Contributor 18th Nov, 2016 23:53
Score: 12325
Posts: 9,575
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Version 7 will not appear on the database until such time as a user proposes it to Flexera Support using the tool provided in PSI version 2 and 3. Flexera are no different from Secunia and do not trawl vendor sites for upgrades but leave it to users to propose any programme they want included.

I do not use the programme in question so cannot carry out the simple proposal procedure for you.

Hope this helps.

--
Maurice

Microsoft Surface 4 Intel i7 64Bit
Windows 10 Pro version 1809 Build 17763.404
16 GB RAM
IE & Edge Only
Was this reply relevant?
+1
-0
WarningU2 RE: NodeJS Errors
Member 19th Nov, 2016 02:51
Score: 23
Posts: 36
User Since: 26th Nov 2008
System Score: N/A
Location: CA
I have submitted it although I think it odd that a service to detect out of date versions is dependent on individuals to supply them notice of the version updates. Didn't realize it worked this way.
Was this reply relevant?
+0
-0

This thread has been marked as locked.